package org.jeecg.modules.deliver.cmos.job.task;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.base.BaseTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosJcxxTask implements CmosTask {

    final BaseTaskService taskService;

    @Override
    public String getType() {
        return CmosConstants.BASIC_INFO;
    }

    @Override
    public void execute() throws Exception {
        taskService.execute();
    }
}
